=== debian/changelog ===
ros-galactic-rmf-fleet-adapter-python (1.4.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- methylDragon <methylDragon@gmail.com>  Thu, 09 Sep 2021 03:27:35 -0000
